Lingxing
切换旧版

查询异步任务状态

POST/amzStaServer/openapi/task-plan/operate

接口信息

API Path请求协议请求方式令牌桶容量
/amzStaServer/openapi/task-plan/operateHTTPSPOST1

请求参数

taskIdstring必填
操作任务号

请求cURL示例

curl --location 'https://openapi.lingxing.com/amzStaServer/openapi/task-plan/operate?access_token=value&timestamp=value&sign=value&app_key=value' \
--header 'Content-Type: application/json' \
--data '{
    "taskId": "操作任务号"
}'

返回结果

codeinteger必填
状态码,0 成功
示例 0
messagestring必填
消息提示
示例 success
errorDetailsarray<any>必填
错误信息
requestIdstring必填
请求链路id
responseTimestring必填
响应时间
示例 2020-05-18 11:23:47
dataobject必填
响应数据
隐藏子属性
errorMsgstring必填
错误信息
inboundPlanIdstring必填
亚马逊任务编号
taskIdstring必填
任务id
taskStatusstring必填
任务状态
process
success
failure
local_failure

返回成功示例

{
    "code": 0,
    "message": "操作成功",
    "errorDetails": [],
    "requestId": "3b3d867e7d014971a580549f107c8c5a.1732773886069",
    "responseTime": "2024-11-28T14:04:46.069",
    "data": {
        "errorMsg": "错误信息",
        "inboundPlanId": "亚马逊任务编号",
        "taskId": "任务id",
        "taskStatus": "任务状态"
    }
}